﻿using System.Windows.Controls;
using System.Windows.Data;
using Infragistics.Controls.Grids;

namespace GridsCell
{
    public partial class GridView : UserControl
    {
        public GridView()
        {
            InitializeComponent();
            grid.FilteringSettings.AllowFiltering = FilterUIType.FilterMenu;
            grid.FilteringSettings.FilteringScope = FilteringScope.ColumnLayout;
        }

        private CollectionViewSource dataSource;
        public CollectionViewSource DataSource
        {
            get { return dataSource; }
            set { 
                dataSource = value;
                var binding = new Binding { Source = value };
                BindingOperations.SetBinding(grid, XamGrid.ItemsSourceProperty, binding);
            }
        }
    }
}
